Method: customers.v2.Users.get

Retrieves a User.

HTTP request

GET https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Users/{userId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customerId

string

Required. The unique identifier for the customer in Cloud Identity. The customer ID is an alphanumeric string that begins with the letter C, for example, C01234abc. To find your customer ID, see Find your customer ID.

userId

string

Required. The unique, service-assigned identifier for the user resource in Cloud Identity. This value is the same as the User.id value of the corresponding user.

Query parameters

Parameters
attributes

string

Optional. The attributes parameter as described in RFC 7644 Section 3.4.2.5. Must be a comma-separated list (without spaces) of top-level attributes.

Must contain only top-level attributes. Sub-attributes (for example, name.familyName) are not supported within the attributes parameter.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of User.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

For more information, see the Authorization guide.